org.osgi.framework.namespace

## Class ExecutionEnvironmentNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.framework.namespace.ExecutionEnvironmentNamespace

    public final class ExecutionEnvironmentNamespace
    extends Namespace

Execution Environment Capability and Requirement Namespace.

This class defines the names for the attributes and directives for this namespace. All unspecified capability attributes are of type `String` and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

Author:
  $Id: 45a233050d35a5debc8a7d1be1f7e81178916984 $

### Field Summary

Fields
`static String` `CAPABILITY_VERSION_ATTRIBUTE` The capability attribute contains the versions of the execution environment.
`static String` `EXECUTION_ENVIRONMENT_NAMESPACE` Namespace name for execution environment capabilities and requirements.

### Fields inherited from class org.osgi.resource.Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXECUTION_ENVIRONMENT_NAMESPACE

    public static final String EXECUTION_ENVIRONMENT_NAMESPACE

Namespace name for execution environment capabilities and requirements.

Also, the capability attribute used to specify the name of the execution environment.

See Also:
  Constant Field Values

#### CAPABILITY_VERSION_ATTRIBUTE

    public static final String CAPABILITY_VERSION_ATTRIBUTE

The capability attribute contains the versions of the execution environment. The value of this attribute must be of type `List<Version>`.

See Also:
  Constant Field Values